<!DOCTYPE html>
<html>
<head>
	<title></title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	
	<script src="https://code.jquery.com/jquery-3.5.1.slim.js"></script>

	<script
      src="https://maps.googleapis.com/maps/api/js?key=AIzaSyBIwzALxUPNbatRBj3Xi1Uhp0fFzwWNBkE&callback=initMap&libraries=&v=weekly"
      defer
    ></script>
</head>
<body class="p-5">

	<div class="jumbotron jumbotron-fluid">
		<div class="container">
	  		<h1 class="display-4">Mapas</h1>
		</div>
	</div>
	<div class="container-fluid">
		<div class="row">
			<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 p-2">
				<div class="map img-thumbnail" id="map"></div>
				<p>Mapa Donde Vivo</p>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 p-2">
				<div class="map img-thumbnail" id="map2"></div>
				<p>Mapa Donde Estudie Primaria</p>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 p-2">
				<div class="map img-thumbnail" id="map3"></div>
				<p>Mapa Donde Estudie Secundaria</p>
			</div>
			<div class="col-xs-12 col-sm-12 col-md-6 col-lg-6 p-2">
				<div class="map img-thumbnail" id="map4"></div>
				<p>Mapa Donde Estudie Bachillerato</p>
			</div>
		</div>	
		
	</div>


<script type="text/javascript">
	// let map1, map2, map3, map4;
	function initMapCasa() {
		const location = { lat: 20.466397, lng: -97.697632 };
		const map1 = new google.maps.Map(document.getElementById("map"), {
		    center: location,
		    zoom: 18,
		});
		const markmap1 = new google.maps.Marker({
		    position: location,
		    map: map1,
		    title: "Mi Casa",
		    icon: {
	            path: 'M 0,0 C -2,-20 -10,-22 -10,-30 A 10,10 0 1,1 10,-30 C 10,-22 2,-20 0,0 z',
	            fillColor: "#FF0000",
	            fillOpacity: 1,
	            strokeColor: '',
	            strokeWeight: 0,
	            scale: 1,
           }

		});

	}
	function initMapPrimaria() {
		const location = { lat: 20.466736, lng: -97.693963 };
		const map2 = new google.maps.Map(document.getElementById("map2"), {
		    center: location,
		    zoom: 18,
		});
		const markmap2 = new google.maps.Marker({
		    position: location,
		    map: map2,
		    title: "Primaria",
		    icon: {
	            path: 'M 0,0 C -2,-20 -10,-22 -10,-30 A 10,10 0 1,1 10,-30 C 10,-22 2,-20 0,0 z',
	            fillColor: "#FFF300",
	            fillOpacity: 1,
	            strokeColor: '',
	            strokeWeight: 0,
	            scale: 1,
           }

		});
	}
	function initMapSecundaria() {
		const location = { lat: 20.459378, lng: -97.699681 };
		const map3 = new google.maps.Map(document.getElementById("map3"), {
		    center: location,
		    zoom: 18,
		});
		const markmap3 = new google.maps.Marker({
		    position: location,
		    map: map3,
		    title: "Secundaria",
		    icon: {
	            path: 'M 0,0 C -2,-20 -10,-22 -10,-30 A 10,10 0 1,1 10,-30 C 10,-22 2,-20 0,0 z',
	            fillColor: "#008BFF",
	            fillOpacity: 1,
	            strokeColor: '',
	            strokeWeight: 0,
	            scale: 1,
           }

		});
	}
	function  initMapPrepa() {
		const location = { lat: 20.463426, lng: -97.697289 };
		const map4 = new google.maps.Map(document.getElementById("map4"), {
		    center: location,
		    zoom: 18,
		});
		const markmap4 = new google.maps.Marker({
		    position: location,
		    map: map4,
		    title: "Bachillerato",
		    icon: {
	            path: 'M 0,0 C -2,-20 -10,-22 -10,-30 A 10,10 0 1,1 10,-30 C 10,-22 2,-20 0,0 z',
	            fillColor: "#FF00FF",
	            fillOpacity: 1,
	            strokeColor: '',
	            strokeWeight: 0,
	            scale: 1,
           }

		});
	}

	function  initMap() {

		initMapCasa()
		initMapPrimaria()
		initMapSecundaria()
		initMapPrepa()
	}

</script>
<style type="text/css">
	.map{
		min-height: 400px;
		width: 100%;
	}
</style>

</body>
</html>
